当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 10 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]怎么能让eclipse的workspace编码设置可选GBK
帖子发表于 : 2006-07-05 8:52 

注册: 2006-07-05 8:43
帖子: 33
送出感谢: 0 次
接收感谢: 0 次
昨天刚用6.06的cd安装的ubuntu
但是以前我们的项目代码都是在gbk下开发的,eclipse下显示都是方块
但是eclipse的编码又不可选gbk
只有utf-8和别的少数几种编码


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-07-05 9:01 

注册: 2006-07-05 8:43
帖子: 33
送出感谢: 0 次
接收感谢: 0 次
按照论坛上说的直接输入GBK
eclipse会提示我不支持gbk
是不是系统没安装gbk支持,不知道怎么安装?
默认编码使用的是utf-8


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-07-05 20:01 

注册: 2006-03-17 13:40
帖子: 147
送出感谢: 0 次
接收感谢: 0 次
在工程的属性中有设置项,可以设置当前工程的编码,设置成GBK就可以了。系统的编码不需要特殊设置。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-07-06 8:54 

注册: 2006-07-05 8:43
帖子: 33
送出感谢: 0 次
接收感谢: 0 次
问题是并不能设置GBK
eclipse根本不让你应用,提示不支持


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-07-06 12:32 

注册: 2006-01-17 22:21
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
我以前碰到这个问题,检查一下你启动eclipse的jdk是哪个版本,不要用ubuntu系统的jdk


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-07-06 13:25 

注册: 2006-07-05 8:43
帖子: 33
送出感谢: 0 次
接收感谢: 0 次
解决了
果然是系统jre的问题


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-10-31 18:39 

注册: 2006-05-27 11:01
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
具体怎么解决的呢,楼主可不可以说一下呢?


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-11-01 15:05 

注册: 2006-10-08 9:30
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
更新jre到最新版就支持gbk了


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2006-11-02 9:28 

注册: 2006-11-02 9:07
帖子: 65
送出感谢: 0 次
接收感谢: 0 次
Jamsa 写道:
在工程的属性中有设置项,可以设置当前工程的编码,设置成GBK就可以了。系统的编码不需要特殊设置。


试了一下,果然可以。只是要重新打开eclipse,重新打开源文件。


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2007-07-20 11:15 
头像

注册: 2007-07-17 17:43
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
Sunshow 写道:
解决了
果然是系统jre的问题


我也是解决了。哈哈。
方法:
sudo gedit /etc/eclipse/java_home

在所有内容前加上一句:/usr/lib/jvm/java-1.5.0-sun-1.5.0.11
----------------------------
(注意自己安装的java版本:java-6-sun-1.6.0.00)
这样eclipse就会调用新的jdk了,而不是原来那个1.4.2版本的。

感谢: bones7456 的帖子: http://forum.ubuntu.org.cn/weblog_entry.php?e=4015


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 10 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Bing [Bot] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译